osl::eval::ml::SilverAdvance26 Class Reference

`#include <minorPiece.h>`

## Public Types

enum | { ONE_DIM = 1 , DIM = ONE_DIM*EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Attributes

static CArray< MultiInt, ONE_DIM > | table

## Detailed Description

Definition at line 1713 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 1716 of file minorPiece.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::SilverAdvance26::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 2944 of file minorPiece.cc.

References osl::BLACK, osl::SimpleState::kingSquare(), osl::KNIGHT, osl::Piece::owner(), osl::PAWN, osl::SimpleState::pieceAt(), osl::Piece::ptype(), osl::SILVER, osl::CArray< T, Capacity >::size(), table, osl::WHITE, and osl::Square::x().

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## setUp()

void osl::eval::ml::SilverAdvance26::setUp | ( | const Weights & | weights | ) |

static

Definition at line 2936 of file minorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< osl::MultiInt, 1 > osl::eval::ml::SilverAdvance26::table

static private

Definition at line 1720 of file minorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc